package com.ruoyi.web.controller.branch.vo;

import com.ruoyi.common.core.domain.BaseEntity;

import java.math.BigDecimal;

/**
 * 计算党费VO
 *
 * @author Wang Zi Wen
 * @email wangggziwen@163.com
 * @date 2023/07/17 12:59:21
 */
public class CalcVO extends BaseEntity {
    /** 年度账面收入 */
    private BigDecimal ndzmsr;

    /** 年度账面支出 */
    private BigDecimal ndzmzc;

    /** 年度现金收入 */
    private BigDecimal ndxjsr;

    /** 年度现金支出 */
    private BigDecimal ndxjzc;

    /** 账面合计 */
    private BigDecimal zmhj;

    /** 现金合计 */
    private BigDecimal xjhj;

    /** 总合计 */
    private BigDecimal zhj;

    public BigDecimal getNdzmsr() {
        return ndzmsr;
    }

    public void setNdzmsr(BigDecimal ndzmsr) {
        this.ndzmsr = ndzmsr;
    }

    public BigDecimal getNdzmzc() {
        return ndzmzc;
    }

    public void setNdzmzc(BigDecimal ndzmzc) {
        this.ndzmzc = ndzmzc;
    }

    public BigDecimal getNdxjsr() {
        return ndxjsr;
    }

    public void setNdxjsr(BigDecimal ndxjsr) {
        this.ndxjsr = ndxjsr;
    }

    public BigDecimal getNdxjzc() {
        return ndxjzc;
    }

    public void setNdxjzc(BigDecimal ndxjzc) {
        this.ndxjzc = ndxjzc;
    }

    public BigDecimal getZmhj() {
        return zmhj;
    }

    public void setZmhj(BigDecimal zmhj) {
        this.zmhj = zmhj;
    }

    public BigDecimal getXjhj() {
        return xjhj;
    }

    public void setXjhj(BigDecimal xjhj) {
        this.xjhj = xjhj;
    }

    public BigDecimal getZhj() {
        return zhj;
    }

    public void setZhj(BigDecimal zhj) {
        this.zhj = zhj;
    }

    public CalcVO() {}

    public CalcVO(BigDecimal ndzmsr, BigDecimal ndzmzc, BigDecimal ndxjsr, BigDecimal ndxjzc, BigDecimal zmhj, BigDecimal xjhj, BigDecimal zhj) {
        this.ndzmsr = ndzmsr;
        this.ndzmzc = ndzmzc;
        this.ndxjsr = ndxjsr;
        this.ndxjzc = ndxjzc;
        this.zmhj = zmhj;
        this.xjhj = xjhj;
        this.zhj = zhj;
    }
}
